## dnschef 0.4+git20190327

=== requirements.txt ===
-i https://pypi.org/simple
dnslib==0.9.10

=== debian/changelog ===
dnschef (0.4+git20190327-0kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/control: Add myself to uploaders
  * Add HTTPS RR support

 -- Steev Klimaszewski <steev@kali.org>  Mon, 01 Jul 2024 10:33:52 -0500

dnschef (0.4+git20190327-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Confiure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file
  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no change needed.
  * Update standards to 4.6.1
  [ Ben Wilson ]
  * Fix email address
  * Update email address
  * Add Uploaders
  * Remote template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Update Debian watch file
  * Fix Debian watch file version check
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Nov 2022 17:27:58 -0600

dnschef (0.4+git20190327-0kali2) kali-dev; urgency=medium

  * Fix debian/copyright with correct license

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 Aug 2019 17:21:26 +0200

dnschef (0.4+git20190327-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file

  [ Sophie Brun ]
  * Update upstream Homepage
  * New upstream version 0.4+git20190327
  * Refresh patches
  * Update installation for new upstream release
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.0
  * Switch to Python 3

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 Aug 2019 15:26:46 +0200

dnschef (0.3-0kali2) kali-dev; urgency=medium

  * Add to windows-resources

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 11 Jun 2019 18:21:38 +0100

dnschef (0.3-0kali1) kali-dev; urgency=medium

  * Imported new upstream release (Closes: 0004200)

 -- Devon Kearns <dookie@kali.org>  Mon, 28 Aug 2017 10:13:34 -0600

dnschef (0.2.1-1kali1) kali; urgency=low

  * Upstream update

 -- Jim O'Gorman <elwood@kali.org>  Sun, 12 Oct 2014 15:17:03 -0400

dnschef (0.1-1kali2) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 07:35:18 -0500

dnschef (0.1-1kali1) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Thu, 22 Nov 2012 16:17:43 -0700

=== debian/control ===
Source: dnschef
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Mati Aharoni <muts@kali.org>,
           Jim O'Gorman <elwood@kali.org>,
           Devon Kearns <dookie@kali.org>,
           Ben Wilson <g0tmi1k@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
           Steev Klimaszewski <steev@kali.org>,
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.6.2
Homepage: https://github.com/iphelix/dnschef
Vcs-Git: https://gitlab.com/kalilinux/packages/dnschef.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/dnschef

Package: dnschef
Architecture: all
Depends: ${misc:Depends}, python3, python3-dnslib
Description: DNS proxy for penetration testers
 DNSChef is a highly configurable DNS proxy for Penetration
 Testers and Malware Analysts. A DNS proxy (aka "Fake DNS")
 is a tool used for application network traffic analysis
 among other uses. For example, a DNS proxy can be used to
 fake requests for "badguy.com" to point to a local machine
 for termination or interception instead of a real host
 somewhere on the Internet.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install dnschef.py $(CURDIR)/debian/dnschef/usr/bin/dnschef

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=0.4+git%cd \
  https://github.com/iphelix/dnschef HEAD
# Use the following when upstream starts to tag releases:
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dnschef-$1.tar.gz%" \
#    https://github.com/iphelix/dnschef/tags \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
